Bug 36945 - new ports of libsigc++12 and gtkmm
Summary: new ports of libsigc++12 and gtkmm
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-10 03:10 UTC by rooneg
Modified: 2002-10-12 08:39 UTC (History)
0 users

See Also:


Attachments
file.shar (3.91 KB, text/plain)
2002-04-10 03:10 UTC, rooneg
no flags Details
file.shar (18.47 KB, text/plain)
2002-04-10 03:10 UTC, rooneg
no flags Details
libsigc++12.sh (3.54 KB, text/x-sh)
2002-09-30 19:51 UTC, Martin Klaffenboeck
no flags Details
gtkmm.sh (19.92 KB, text/x-sh)
2002-09-30 19:51 UTC, Martin Klaffenboeck
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description rooneg 2002-04-10 03:10:01 UTC
	here are ports for the newest versions of libsigc++ and gtkmm.  i've 
called the new libsigc++ port libsigc++12 so it doesn't conflict with the old 
version, which is still used by the gtk-- port, among others.  the gtkmm port 
is really an update of the old gtk-- port, but the project changed the name, 
so i just used the new name.

	i'm submitting these as one pr, since gtkmm isn't much good without 
the new libsigc++.

	i've put gnome@freebsd.org as the maintainer, since the old versions 
were listed that way, and these are still at least as much a part of gnome as 
the old ones were.

Fix: here are the two ports:
How-To-Repeat: 	commit the enclosed ports ;-)
Comment 1 rooneg 2002-04-10 23:11:33 UTC
oops, i left 'USE_GTK' in the gtkmm Makefile, which made it depend on
gtk12, which is obviously wrong.  here's an updated shar of the gtkmm
port, with the (i hope) correct dependencies this time.

-garrett

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	gtkmm
#	gtkmm/Makefile
#	gtkmm/distinfo
#	gtkmm/pkg-comment
#	gtkmm/pkg-descr
#	gtkmm/pkg-plist
#
echo c - gtkmm
mkdir -p gtkmm > /dev/null 2>&1
echo x - gtkmm/Makefile
sed 's/^X//' >gtkmm/Makefile << 'END-of-gtkmm/Makefile'
X# New ports collection makefile for:   gtkmm
X# Date created:        9 April 2002
X# Whom:                Garrett Rooney <rooneg@electricjellyfish.net>
X#
X# $FreeBSD: ports/x11-toolkits/gtk--/Makefile,v 1.36 2002/02/12 09:21:25 sobomax Exp $
X#
X
XPORTNAME=	gtkmm
XPORTVERSION=	1.3.9
XCATEGORIES=	x11-toolkits
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	gtkmm
X
XMAINTAINER=	gnome@FreeBSD.org
X
XLIB_DEPENDS=	sigc-1.1.3:${PORTSDIR}/devel/libsigc++12 \
X		gtk-x11-2.0.0:${PORTSDIR}/x11-toolkits/gtk20
XBUILD_DEPENDS=	gm4:${PORTSDIR}/devel/m4 \
X		perl5.6.1:${PORTSDIR}/lang/perl5
X
XUSE_X_PREFIX=	yes
XUSE_GMAKE=	yes
XGNU_CONFIGURE=	yes
XINSTALLS_SHLIB=	yes
XCONFIGURE_ARGS=	--enable-static=yes \
X		--without-gnome \
X		--with-sigc-prefix=${LOCALBASE}
X
Xpost-extract:
X	@find ${WRKSRC} -name configure | xargs ${PERL} -pi -e \
X		's|perl5|perl5\.6\.1|g'
X	@find ${WRKSRC} -name Makefile.in | xargs ${PERL} -pi -e \
X		's|\$\(libdir\)/pkgconfig|\$\(prefix\)/libdata/pkgconfig|g'
X
X.include <bsd.port.mk>
END-of-gtkmm/Makefile
echo x - gtkmm/distinfo
sed 's/^X//' >gtkmm/distinfo << 'END-of-gtkmm/distinfo'
XMD5 (gtkmm-1.3.9.tar.gz) = 5b920f7cb799a2016baf74a630e96348
END-of-gtkmm/distinfo
echo x - gtkmm/pkg-comment
sed 's/^X//' >gtkmm/pkg-comment << 'END-of-gtkmm/pkg-comment'
XC++ wrapper for gtk, a x11 graphics library
END-of-gtkmm/pkg-comment
echo x - gtkmm/pkg-descr
sed 's/^X//' >gtkmm/pkg-descr << 'END-of-gtkmm/pkg-descr'
XC++ wrapper for gtk, a x11 graphics library
END-of-gtkmm/pkg-descr
echo x - gtkmm/pkg-plist
sed 's/^X//' >gtkmm/pkg-plist << 'END-of-gtkmm/pkg-plist'
Xinclude/gtkmm-2.0/gtkmm_generate_extra_defs/generate_extra_defs.h
Xinclude/gtkmm-2.0/glibmm/private/interface_p.h
Xinclude/gtkmm-2.0/glibmm/private/object_p.h
Xinclude/gtkmm-2.0/glibmm/signalproxy.h
Xinclude/gtkmm-2.0/glibmm/arrayhandle.h
Xinclude/gtkmm-2.0/glibmm/class.h
Xinclude/gtkmm-2.0/glibmm/closure.h
Xinclude/gtkmm-2.0/glibmm/containerhandle_shared.h
Xinclude/gtkmm-2.0/glibmm/containers.h
Xinclude/gtkmm-2.0/glibmm/convert.h
Xinclude/gtkmm-2.0/glibmm/date.h
Xinclude/gtkmm-2.0/glibmm/error.h
Xinclude/gtkmm-2.0/glibmm/exception.h
Xinclude/gtkmm-2.0/glibmm/exceptionhandler.h
Xinclude/gtkmm-2.0/glibmm/fileutils.h
Xinclude/gtkmm-2.0/glibmm/helperlist.h
Xinclude/gtkmm-2.0/glibmm/interface.h
Xinclude/gtkmm-2.0/glibmm/listhandle.h
Xinclude/gtkmm-2.0/glibmm/main.h
Xinclude/gtkmm-2.0/glibmm/miscutils.h
Xinclude/gtkmm-2.0/glibmm/object.h
Xinclude/gtkmm-2.0/glibmm/objectbase.h
Xinclude/gtkmm-2.0/glibmm/pattern.h
Xinclude/gtkmm-2.0/glibmm/propertyproxy.h
Xinclude/gtkmm-2.0/glibmm/quark.h
Xinclude/gtkmm-2.0/glibmm/propertyproxy_base.h
Xinclude/gtkmm-2.0/glibmm/propertyproxy_boxed.h
Xinclude/gtkmm-2.0/glibmm/propertyproxy_enum.h
Xinclude/gtkmm-2.0/glibmm/propertyproxy_flags.h
Xinclude/gtkmm-2.0/glibmm/propertyproxy_refptr.h
Xinclude/gtkmm-2.0/glibmm/random.h
Xinclude/gtkmm-2.0/glibmm/refptr.h
Xinclude/gtkmm-2.0/glibmm/sarray.h
Xinclude/gtkmm-2.0/glibmm/shell.h
Xinclude/gtkmm-2.0/glibmm/signalproxy_connectionnode.h
Xinclude/gtkmm-2.0/glibmm/slisthandle.h
Xinclude/gtkmm-2.0/glibmm/spawn.h
Xinclude/gtkmm-2.0/glibmm/thread.h
Xinclude/gtkmm-2.0/glibmm/threadpool.h
Xinclude/gtkmm-2.0/glibmm/timer.h
Xinclude/gtkmm-2.0/glibmm/timeval.h
Xinclude/gtkmm-2.0/glibmm/ustring.h
Xinclude/gtkmm-2.0/glibmm/utility.h
Xinclude/gtkmm-2.0/glibmm/value.h
Xinclude/gtkmm-2.0/glibmm/wrap.h
Xinclude/gtkmm-2.0/glibmm/wrap_init.h
Xinclude/gtkmm-2.0/glibmm.h
Xinclude/gtkmm-2.0/pangomm/private/attrlist_p.h
Xinclude/gtkmm-2.0/pangomm/private/context_p.h
Xinclude/gtkmm-2.0/pangomm/private/coverage_p.h
Xinclude/gtkmm-2.0/pangomm/private/font_p.h
Xinclude/gtkmm-2.0/pangomm/private/fontdescription_p.h
Xinclude/gtkmm-2.0/pangomm/private/fontface_p.h
Xinclude/gtkmm-2.0/pangomm/private/fontfamily_p.h
Xinclude/gtkmm-2.0/pangomm/private/fontmap_p.h
Xinclude/gtkmm-2.0/pangomm/private/fontmetrics_p.h
Xinclude/gtkmm-2.0/pangomm/private/fontset_p.h
Xinclude/gtkmm-2.0/pangomm/private/layout_p.h
Xinclude/gtkmm-2.0/pangomm/private/layoutiter_p.h
Xinclude/gtkmm-2.0/pangomm/private/layoutline_p.h
Xinclude/gtkmm-2.0/pangomm/private/tabarray_p.h
Xinclude/gtkmm-2.0/pangomm/attrlist.h
Xinclude/gtkmm-2.0/pangomm/context.h
Xinclude/gtkmm-2.0/pangomm/coverage.h
Xinclude/gtkmm-2.0/pangomm/font.h
Xinclude/gtkmm-2.0/pangomm/fontdescription.h
Xinclude/gtkmm-2.0/pangomm/fontface.h
Xinclude/gtkmm-2.0/pangomm/fontfamily.h
Xinclude/gtkmm-2.0/pangomm/fontmap.h
Xinclude/gtkmm-2.0/pangomm/fontmetrics.h
Xinclude/gtkmm-2.0/pangomm/fontset.h
Xinclude/gtkmm-2.0/pangomm/layout.h
Xinclude/gtkmm-2.0/pangomm/layoutiter.h
Xinclude/gtkmm-2.0/pangomm/layoutline.h
Xinclude/gtkmm-2.0/pangomm/tabarray.h
Xinclude/gtkmm-2.0/pangomm/wrap_init.h
Xinclude/gtkmm-2.0/pangomm.h
Xinclude/gtkmm-2.0/atkmm/private/object_p.h
Xinclude/gtkmm-2.0/atkmm/private/relation_p.h
Xinclude/gtkmm-2.0/atkmm/private/relationset_p.h
Xinclude/gtkmm-2.0/atkmm/private/stateset_p.h
Xinclude/gtkmm-2.0/atkmm/object.h
Xinclude/gtkmm-2.0/atkmm/relation.h
Xinclude/gtkmm-2.0/atkmm/relationset.h
Xinclude/gtkmm-2.0/atkmm/stateset.h
Xinclude/gtkmm-2.0/atkmm/wrap_init.h
Xinclude/gtkmm-2.0/atkmm.h
Xinclude/gtkmm-2.0/gdkmm/private/font_p.h
Xinclude/gtkmm-2.0/gdkmm/private/bitmap_p.h
Xinclude/gtkmm-2.0/gdkmm/private/color_p.h
Xinclude/gtkmm-2.0/gdkmm/private/colormap_p.h
Xinclude/gtkmm-2.0/gdkmm/private/cursor_p.h
Xinclude/gtkmm-2.0/gdkmm/private/dragcontext_p.h
Xinclude/gtkmm-2.0/gdkmm/private/drawable_p.h
Xinclude/gtkmm-2.0/gdkmm/private/event_p.h
Xinclude/gtkmm-2.0/gdkmm/private/gc_p.h
Xinclude/gtkmm-2.0/gdkmm/private/image_p.h
Xinclude/gtkmm-2.0/gdkmm/private/pixbuf_p.h
Xinclude/gtkmm-2.0/gdkmm/private/pixbufanimation_p.h
Xinclude/gtkmm-2.0/gdkmm/private/pixbufanimationiter_p.h
Xinclude/gtkmm-2.0/gdkmm/private/pixmap_p.h
Xinclude/gtkmm-2.0/gdkmm/private/pixbufloader_p.h
Xinclude/gtkmm-2.0/gdkmm/private/rectangle_p.h
Xinclude/gtkmm-2.0/gdkmm/private/region_p.h
Xinclude/gtkmm-2.0/gdkmm/private/visual_p.h
Xinclude/gtkmm-2.0/gdkmm/private/window_p.h
Xinclude/gtkmm-2.0/gdkmm/font.h
Xinclude/gtkmm-2.0/gdkmm/bitmap.h
Xinclude/gtkmm-2.0/gdkmm/color.h
Xinclude/gtkmm-2.0/gdkmm/colormap.h
Xinclude/gtkmm-2.0/gdkmm/cursor.h
Xinclude/gtkmm-2.0/gdkmm/dragcontext.h
Xinclude/gtkmm-2.0/gdkmm/drawable.h
Xinclude/gtkmm-2.0/gdkmm/event.h
Xinclude/gtkmm-2.0/gdkmm/gc.h
Xinclude/gtkmm-2.0/gdkmm/image.h
Xinclude/gtkmm-2.0/gdkmm/pixbuf.h
Xinclude/gtkmm-2.0/gdkmm/pixbufanimation.h
Xinclude/gtkmm-2.0/gdkmm/pixbufanimationiter.h
Xinclude/gtkmm-2.0/gdkmm/pixmap.h
Xinclude/gtkmm-2.0/gdkmm/pixbufloader.h
Xinclude/gtkmm-2.0/gdkmm/rectangle.h
Xinclude/gtkmm-2.0/gdkmm/region.h
Xinclude/gtkmm-2.0/gdkmm/visual.h
Xinclude/gtkmm-2.0/gdkmm/window.h
Xinclude/gtkmm-2.0/gdkmm/list.h
Xinclude/gtkmm-2.0/gdkmm/main.h
Xinclude/gtkmm-2.0/gdkmm/types.h
Xinclude/gtkmm-2.0/gdkmm/wrap_init.h
Xinclude/gtkmm-2.0/gdkmm.h
Xinclude/gtkmm-2.0/gtkmm/private/accelgroup_p.h
Xinclude/gtkmm-2.0/gtkmm/private/accellabel_p.h
Xinclude/gtkmm-2.0/gtkmm/private/adjustment_p.h
Xinclude/gtkmm-2.0/gtkmm/private/alignment_p.h
Xinclude/gtkmm-2.0/gtkmm/private/arrow_p.h
Xinclude/gtkmm-2.0/gtkmm/private/aspectframe_p.h
Xinclude/gtkmm-2.0/gtkmm/private/bin_p.h
Xinclude/gtkmm-2.0/gtkmm/private/box_p.h
Xinclude/gtkmm-2.0/gtkmm/private/button_p.h
Xinclude/gtkmm-2.0/gtkmm/private/buttonbox_p.h
Xinclude/gtkmm-2.0/gtkmm/private/calendar_p.h
Xinclude/gtkmm-2.0/gtkmm/private/celleditable_p.h
Xinclude/gtkmm-2.0/gtkmm/private/checkbutton_p.h
Xinclude/gtkmm-2.0/gtkmm/private/checkmenuitem_p.h
Xinclude/gtkmm-2.0/gtkmm/private/cellrenderer_p.h
Xinclude/gtkmm-2.0/gtkmm/private/cellrendererpixbuf_p.h
Xinclude/gtkmm-2.0/gtkmm/private/cellrenderertext_p.h
Xinclude/gtkmm-2.0/gtkmm/private/cellrenderertoggle_p.h
Xinclude/gtkmm-2.0/gtkmm/private/colorselection_p.h
Xinclude/gtkmm-2.0/gtkmm/private/rc_p.h
Xinclude/gtkmm-2.0/gtkmm/private/combo_p.h
Xinclude/gtkmm-2.0/gtkmm/private/container_p.h
Xinclude/gtkmm-2.0/gtkmm/private/curve_p.h
Xinclude/gtkmm-2.0/gtkmm/private/dialog_p.h
Xinclude/gtkmm-2.0/gtkmm/private/drawingarea_p.h
Xinclude/gtkmm-2.0/gtkmm/private/editable_p.h
Xinclude/gtkmm-2.0/gtkmm/private/entry_p.h
Xinclude/gtkmm-2.0/gtkmm/private/eventbox_p.h
Xinclude/gtkmm-2.0/gtkmm/private/fileselection_p.h
Xinclude/gtkmm-2.0/gtkmm/private/fixed_p.h
Xinclude/gtkmm-2.0/gtkmm/private/fontselection_p.h
Xinclude/gtkmm-2.0/gtkmm/private/frame_p.h
Xinclude/gtkmm-2.0/gtkmm/private/handlebox_p.h
Xinclude/gtkmm-2.0/gtkmm/private/iconfactory_p.h
Xinclude/gtkmm-2.0/gtkmm/private/iconset_p.h
Xinclude/gtkmm-2.0/gtkmm/private/iconsource_p.h
Xinclude/gtkmm-2.0/gtkmm/private/image_p.h
Xinclude/gtkmm-2.0/gtkmm/private/imagemenuitem_p.h
Xinclude/gtkmm-2.0/gtkmm/private/inputdialog_p.h
Xinclude/gtkmm-2.0/gtkmm/private/invisible_p.h
Xinclude/gtkmm-2.0/gtkmm/private/item_p.h
Xinclude/gtkmm-2.0/gtkmm/private/label_p.h
Xinclude/gtkmm-2.0/gtkmm/private/layout_p.h
Xinclude/gtkmm-2.0/gtkmm/private/liststore_p.h
Xinclude/gtkmm-2.0/gtkmm/private/main_p.h
Xinclude/gtkmm-2.0/gtkmm/private/menu_p.h
Xinclude/gtkmm-2.0/gtkmm/private/menubar_p.h
Xinclude/gtkmm-2.0/gtkmm/private/menuitem_p.h
Xinclude/gtkmm-2.0/gtkmm/private/menushell_p.h
Xinclude/gtkmm-2.0/gtkmm/private/messagedialog_p.h
Xinclude/gtkmm-2.0/gtkmm/private/misc_p.h
Xinclude/gtkmm-2.0/gtkmm/private/notebook_p.h
Xinclude/gtkmm-2.0/gtkmm/private/object_p.h
Xinclude/gtkmm-2.0/gtkmm/private/optionmenu_p.h
Xinclude/gtkmm-2.0/gtkmm/private/paned_p.h
Xinclude/gtkmm-2.0/gtkmm/private/plug_p.h
Xinclude/gtkmm-2.0/gtkmm/private/preview_p.h
Xinclude/gtkmm-2.0/gtkmm/private/progress_p.h
Xinclude/gtkmm-2.0/gtkmm/private/progressbar_p.h
Xinclude/gtkmm-2.0/gtkmm/private/radiobutton_p.h
Xinclude/gtkmm-2.0/gtkmm/private/radiomenuitem_p.h
Xinclude/gtkmm-2.0/gtkmm/private/range_p.h
Xinclude/gtkmm-2.0/gtkmm/private/ruler_p.h
Xinclude/gtkmm-2.0/gtkmm/private/scale_p.h
Xinclude/gtkmm-2.0/gtkmm/private/scrollbar_p.h
Xinclude/gtkmm-2.0/gtkmm/private/scrolledwindow_p.h
Xinclude/gtkmm-2.0/gtkmm/private/separator_p.h
Xinclude/gtkmm-2.0/gtkmm/private/settings_p.h
Xinclude/gtkmm-2.0/gtkmm/private/sizegroup_p.h
Xinclude/gtkmm-2.0/gtkmm/private/socket_p.h
Xinclude/gtkmm-2.0/gtkmm/private/spinbutton_p.h
Xinclude/gtkmm-2.0/gtkmm/private/statusbar_p.h
Xinclude/gtkmm-2.0/gtkmm/private/stockitem_p.h
Xinclude/gtkmm-2.0/gtkmm/private/style_p.h
Xinclude/gtkmm-2.0/gtkmm/private/table_p.h
Xinclude/gtkmm-2.0/gtkmm/private/tearoffmenuitem_p.h
Xinclude/gtkmm-2.0/gtkmm/private/textattributes_p.h
Xinclude/gtkmm-2.0/gtkmm/private/textbuffer_p.h
Xinclude/gtkmm-2.0/gtkmm/private/textchildanchor_p.h
Xinclude/gtkmm-2.0/gtkmm/private/textiter_p.h
Xinclude/gtkmm-2.0/gtkmm/private/textmark_p.h
Xinclude/gtkmm-2.0/gtkmm/private/texttag_p.h
Xinclude/gtkmm-2.0/gtkmm/private/texttagtable_p.h
Xinclude/gtkmm-2.0/gtkmm/private/textview_p.h
Xinclude/gtkmm-2.0/gtkmm/private/togglebutton_p.h
Xinclude/gtkmm-2.0/gtkmm/private/toolbar_p.h
Xinclude/gtkmm-2.0/gtkmm/private/tooltips_p.h
Xinclude/gtkmm-2.0/gtkmm/private/treedragdest_p.h
Xinclude/gtkmm-2.0/gtkmm/private/treedragsource_p.h
Xinclude/gtkmm-2.0/gtkmm/private/treepath_p.h
Xinclude/gtkmm-2.0/gtkmm/private/treeselection_p.h
Xinclude/gtkmm-2.0/gtkmm/private/treesortable_p.h
Xinclude/gtkmm-2.0/gtkmm/private/treeiter_p.h
Xinclude/gtkmm-2.0/gtkmm/private/treemodel_p.h
Xinclude/gtkmm-2.0/gtkmm/private/treestore_p.h
Xinclude/gtkmm-2.0/gtkmm/private/treeview_p.h
Xinclude/gtkmm-2.0/gtkmm/private/treeviewcolumn_p.h
Xinclude/gtkmm-2.0/gtkmm/private/viewport_p.h
Xinclude/gtkmm-2.0/gtkmm/private/widget_p.h
Xinclude/gtkmm-2.0/gtkmm/private/window_p.h
Xinclude/gtkmm-2.0/gtkmm/accelgroup.h
Xinclude/gtkmm-2.0/gtkmm/accellabel.h
Xinclude/gtkmm-2.0/gtkmm/adjustment.h
Xinclude/gtkmm-2.0/gtkmm/alignment.h
Xinclude/gtkmm-2.0/gtkmm/arrow.h
Xinclude/gtkmm-2.0/gtkmm/aspectframe.h
Xinclude/gtkmm-2.0/gtkmm/bin.h
Xinclude/gtkmm-2.0/gtkmm/box.h
Xinclude/gtkmm-2.0/gtkmm/button.h
Xinclude/gtkmm-2.0/gtkmm/buttonbox.h
Xinclude/gtkmm-2.0/gtkmm/calendar.h
Xinclude/gtkmm-2.0/gtkmm/celleditable.h
Xinclude/gtkmm-2.0/gtkmm/checkbutton.h
Xinclude/gtkmm-2.0/gtkmm/checkmenuitem.h
Xinclude/gtkmm-2.0/gtkmm/cellrenderer.h
Xinclude/gtkmm-2.0/gtkmm/cellrendererpixbuf.h
Xinclude/gtkmm-2.0/gtkmm/cellrenderertext.h
Xinclude/gtkmm-2.0/gtkmm/cellrenderertoggle.h
Xinclude/gtkmm-2.0/gtkmm/colorselection.h
Xinclude/gtkmm-2.0/gtkmm/combo.h
Xinclude/gtkmm-2.0/gtkmm/curve.h
Xinclude/gtkmm-2.0/gtkmm/container.h
Xinclude/gtkmm-2.0/gtkmm/dialog.h
Xinclude/gtkmm-2.0/gtkmm/drawingarea.h
Xinclude/gtkmm-2.0/gtkmm/editable.h
Xinclude/gtkmm-2.0/gtkmm/entry.h
Xinclude/gtkmm-2.0/gtkmm/eventbox.h
Xinclude/gtkmm-2.0/gtkmm/fileselection.h
Xinclude/gtkmm-2.0/gtkmm/fixed.h
Xinclude/gtkmm-2.0/gtkmm/fontselection.h
Xinclude/gtkmm-2.0/gtkmm/frame.h
Xinclude/gtkmm-2.0/gtkmm/handlebox.h
Xinclude/gtkmm-2.0/gtkmm/iconfactory.h
Xinclude/gtkmm-2.0/gtkmm/iconset.h
Xinclude/gtkmm-2.0/gtkmm/iconsource.h
Xinclude/gtkmm-2.0/gtkmm/image.h
Xinclude/gtkmm-2.0/gtkmm/imagemenuitem.h
Xinclude/gtkmm-2.0/gtkmm/inputdialog.h
Xinclude/gtkmm-2.0/gtkmm/invisible.h
Xinclude/gtkmm-2.0/gtkmm/item.h
Xinclude/gtkmm-2.0/gtkmm/label.h
Xinclude/gtkmm-2.0/gtkmm/layout.h
Xinclude/gtkmm-2.0/gtkmm/liststore.h
Xinclude/gtkmm-2.0/gtkmm/main.h
Xinclude/gtkmm-2.0/gtkmm/menu.h
Xinclude/gtkmm-2.0/gtkmm/menubar.h
Xinclude/gtkmm-2.0/gtkmm/misc.h
Xinclude/gtkmm-2.0/gtkmm/menuitem.h
Xinclude/gtkmm-2.0/gtkmm/menushell.h
Xinclude/gtkmm-2.0/gtkmm/messagedialog.h
Xinclude/gtkmm-2.0/gtkmm/notebook.h
Xinclude/gtkmm-2.0/gtkmm/object.h
Xinclude/gtkmm-2.0/gtkmm/optionmenu.h
Xinclude/gtkmm-2.0/gtkmm/paned.h
Xinclude/gtkmm-2.0/gtkmm/plug.h
Xinclude/gtkmm-2.0/gtkmm/preview.h
Xinclude/gtkmm-2.0/gtkmm/progress.h
Xinclude/gtkmm-2.0/gtkmm/progressbar.h
Xinclude/gtkmm-2.0/gtkmm/radiobutton.h
Xinclude/gtkmm-2.0/gtkmm/radiomenuitem.h
Xinclude/gtkmm-2.0/gtkmm/range.h
Xinclude/gtkmm-2.0/gtkmm/rc.h
Xinclude/gtkmm-2.0/gtkmm/ruler.h
Xinclude/gtkmm-2.0/gtkmm/scale.h
Xinclude/gtkmm-2.0/gtkmm/scrollbar.h
Xinclude/gtkmm-2.0/gtkmm/scrolledwindow.h
Xinclude/gtkmm-2.0/gtkmm/separator.h
Xinclude/gtkmm-2.0/gtkmm/settings.h
Xinclude/gtkmm-2.0/gtkmm/sizegroup.h
Xinclude/gtkmm-2.0/gtkmm/socket.h
Xinclude/gtkmm-2.0/gtkmm/spinbutton.h
Xinclude/gtkmm-2.0/gtkmm/statusbar.h
Xinclude/gtkmm-2.0/gtkmm/stockitem.h
Xinclude/gtkmm-2.0/gtkmm/style.h
Xinclude/gtkmm-2.0/gtkmm/table.h
Xinclude/gtkmm-2.0/gtkmm/tearoffmenuitem.h
Xinclude/gtkmm-2.0/gtkmm/textattributes.h
Xinclude/gtkmm-2.0/gtkmm/textbuffer.h
Xinclude/gtkmm-2.0/gtkmm/textchildanchor.h
Xinclude/gtkmm-2.0/gtkmm/textiter.h
Xinclude/gtkmm-2.0/gtkmm/textmark.h
Xinclude/gtkmm-2.0/gtkmm/texttag.h
Xinclude/gtkmm-2.0/gtkmm/texttagtable.h
Xinclude/gtkmm-2.0/gtkmm/textview.h
Xinclude/gtkmm-2.0/gtkmm/togglebutton.h
Xinclude/gtkmm-2.0/gtkmm/toolbar.h
Xinclude/gtkmm-2.0/gtkmm/tooltips.h
Xinclude/gtkmm-2.0/gtkmm/treedragdest.h
Xinclude/gtkmm-2.0/gtkmm/treedragsource.h
Xinclude/gtkmm-2.0/gtkmm/treepath.h
Xinclude/gtkmm-2.0/gtkmm/treeselection.h
Xinclude/gtkmm-2.0/gtkmm/treesortable.h
Xinclude/gtkmm-2.0/gtkmm/treeiter.h
Xinclude/gtkmm-2.0/gtkmm/treemodel.h
Xinclude/gtkmm-2.0/gtkmm/treestore.h
Xinclude/gtkmm-2.0/gtkmm/treeview.h
Xinclude/gtkmm-2.0/gtkmm/treeviewcolumn.h
Xinclude/gtkmm-2.0/gtkmm/viewport.h
Xinclude/gtkmm-2.0/gtkmm/widget.h
Xinclude/gtkmm-2.0/gtkmm/window.h
Xinclude/gtkmm-2.0/gtkmm/accelkey.h
Xinclude/gtkmm-2.0/gtkmm/base.h
Xinclude/gtkmm-2.0/gtkmm/clipboard.h
Xinclude/gtkmm-2.0/gtkmm/menu_elems.h
Xinclude/gtkmm-2.0/gtkmm/stock.h
Xinclude/gtkmm-2.0/gtkmm/stockid.h
Xinclude/gtkmm-2.0/gtkmm/targetentry.h
Xinclude/gtkmm-2.0/gtkmm/treeview_private.h
Xinclude/gtkmm-2.0/gtkmm/wrap_init.h
Xinclude/gtkmm-2.0/gtkmm.h
Xlib/gtkmm-2.0/proc/m4/base.m4
Xlib/gtkmm-2.0/proc/m4/class_shared.m4
Xlib/gtkmm-2.0/proc/m4/class_boxedtype.m4
Xlib/gtkmm-2.0/proc/m4/class_boxedtype_static.m4
Xlib/gtkmm-2.0/proc/m4/class_generic.m4
Xlib/gtkmm-2.0/proc/m4/class_gerror.m4
Xlib/gtkmm-2.0/proc/m4/class_gobject.m4
Xlib/gtkmm-2.0/proc/m4/class_gtkobject.m4
Xlib/gtkmm-2.0/proc/m4/class_interface.m4
Xlib/gtkmm-2.0/proc/m4/class_opaque_refcounted.m4
Xlib/gtkmm-2.0/proc/m4/class_opaque_copyable.m4
Xlib/gtkmm-2.0/proc/m4/compare.m4
Xlib/gtkmm-2.0/proc/m4/convert.m4
Xlib/gtkmm-2.0/proc/m4/convert_base.m4
Xlib/gtkmm-2.0/proc/m4/convert_gtkmm.m4
Xlib/gtkmm-2.0/proc/m4/convert_atk.m4
Xlib/gtkmm-2.0/proc/m4/convert_gdk.m4
Xlib/gtkmm-2.0/proc/m4/convert_gtk.m4
Xlib/gtkmm-2.0/proc/m4/convert_pango.m4
Xlib/gtkmm-2.0/proc/m4/ctor.m4
Xlib/gtkmm-2.0/proc/m4/doc.m4
Xlib/gtkmm-2.0/proc/m4/enum.m4
Xlib/gtkmm-2.0/proc/m4/list.m4
Xlib/gtkmm-2.0/proc/m4/member.m4
Xlib/gtkmm-2.0/proc/m4/method.m4
Xlib/gtkmm-2.0/proc/m4/property.m4
Xlib/gtkmm-2.0/proc/m4/signal.m4
Xlib/gtkmm-2.0/proc/m4/vfunc.m4
Xlib/gtkmm-2.0/proc/pm/DocsParser.pm
Xlib/gtkmm-2.0/proc/pm/GtkDefs.pm
Xlib/gtkmm-2.0/proc/pm/Function.pm
Xlib/gtkmm-2.0/proc/pm/FunctionBase.pm
Xlib/gtkmm-2.0/proc/pm/Output.pm
Xlib/gtkmm-2.0/proc/pm/Property.pm
Xlib/gtkmm-2.0/proc/pm/Util.pm
Xlib/gtkmm-2.0/proc/pm/WrapParser.pm
Xlib/gtkmm-2.0/proc/gtkmmproc
Xlib/gtkmm-2.0/proc/generate_wrap_init.pl
Xlib/gtkmm-2.0/include/glibmmconfig.h
Xlib/gtkmm-2.0/include/gdkmmconfig.h
Xlib/gtkmm-2.0/include/gtkmmconfig.h
Xlib/libgtkmm_generate_extra_defs-1.3.so.0
Xlib/libgtkmm_generate_extra_defs-1.3.so
Xlib/libgtkmm_generate_extra_defs-1.3.la
Xlib/libgtkmm_generate_extra_defs-1.3.a
Xlib/libglibmm-1.3.so.5
Xlib/libglibmm-1.3.so
Xlib/libglibmm-1.3.la
Xlib/libglibmm-1.3.a
Xlibdata/pkgconfig/glibmm-2.0.pc
Xlibdata/pkgconfig/pangomm-1.0.pc
Xlibdata/pkgconfig/atkmm-1.0.pc
Xlibdata/pkgconfig/gdkmm-2.0.pc
Xlibdata/pkgconfig/gtkmm-2.0.pc
Xlib/libpangomm-0.0.so.5
Xlib/libpangomm-0.0.so
Xlib/libpangomm-0.0.la
Xlib/libpangomm-0.0.a
Xlib/libatkmm-0.0.so.5
Xlib/libatkmm-0.0.so
Xlib/libatkmm-0.0.la
Xlib/libatkmm-0.0.a
Xlib/libgdkmm-1.3.so.5
Xlib/libgdkmm-1.3.so
Xlib/libgdkmm-1.3.la
Xlib/libgdkmm-1.3.a
Xlib/libgtkmm-1.3.so.5
Xlib/libgtkmm-1.3.so
Xlib/libgtkmm-1.3.la
Xlib/libgtkmm-1.3.a
X@dirrm include/gtkmm-2.0/gtkmm_generate_extra_defs
X@dirrm include/gtkmm-2.0/glibmm/private
X@dirrm include/gtkmm-2.0/glibmm
X@dirrm include/gtkmm-2.0/pangomm/private
X@dirrm include/gtkmm-2.0/pangomm
X@dirrm include/gtkmm-2.0/atkmm/private
X@dirrm include/gtkmm-2.0/atkmm
X@dirrm include/gtkmm-2.0/gdkmm/private
X@dirrm include/gtkmm-2.0/gdkmm
X@dirrm include/gtkmm-2.0/gtkmm/private
X@dirrm include/gtkmm-2.0/gtkmm
X@dirrm include/gtkmm-2.0
X@dirrm lib/gtkmm-2.0/proc/m4
X@dirrm lib/gtkmm-2.0/proc/pm
X@dirrm lib/gtkmm-2.0/proc
X@dirrm lib/gtkmm-2.0/include
X@dirrm lib/gtkmm-2.0
END-of-gtkmm/pkg-plist
exit
Comment 2 Tetsurou Okazaki freebsd_committer 2002-09-21 06:14:31 UTC
Responsible Changed
From-To: freebsd-ports->gnome

over to MAINTAINER
Comment 3 Martin Klaffenboeck 2002-09-30 17:47:02 UTC
is this for gtkmm-2.0 for gnome2?

I can see on
http://sourceforge.net/project/showfiles.php?group_id=1161&release_id=111013
a release of 1.3.23.

Maybe you want to add this one.

How long will it take until this port is in the portstree?

Martin
-- 
Martin Klaffenböck <martin.klaffenboeck@gmx.at>
Comment 4 rooneg 2002-09-30 17:56:23 UTC
Martin Klaffenböck wrote:
> is this for gtkmm-2.0 for gnome2?
> 
> I can see on
> http://sourceforge.net/project/showfiles.php?group_id=1161&release_id=111013
> a release of 1.3.23.
> 
> Maybe you want to add this one.
> 
> How long will it take until this port is in the portstree?

those ports were for gtkmm2, but they're horribly out of date since 
they've sat in the pr system for so long.  i'm sure a suitably motivated 
person would have little trouble updating them to more recent releases, 
but i have other things on my plate these days, so i doubt i'll find the 
time.

-garrett
Comment 5 Martin Klaffenboeck 2002-09-30 18:20:41 UTC
Am Mo, 2002-09-30 um 18.56 schrieb Garrett Rooney:

> those ports were for gtkmm2, but they're horribly out of date since 
> they've sat in the pr system for so long.  i'm sure a suitably motivated 
> person would have little trouble updating them to more recent releases, 
> but i have other things on my plate these days, so i doubt i'll find the 
> time.

I'm working now with your version (the example works - I just start with
gtkmm programming), I could do that for you if you want.  Should I
commit then on your pr a new shell achrive?

Martin
Comment 6 rooneg 2002-09-30 18:24:00 UTC
Martin Klaffenböck wrote:
> Am Mo, 2002-09-30 um 18.56 schrieb Garrett Rooney:
> 
> 
>>those ports were for gtkmm2, but they're horribly out of date since 
>>they've sat in the pr system for so long.  i'm sure a suitably motivated 
>>person would have little trouble updating them to more recent releases, 
>>but i have other things on my plate these days, so i doubt i'll find the 
>>time.
> 
> 
> I'm working now with your version (the example works - I just start with
> gtkmm programming), I could do that for you if you want.  Should I
> commit then on your pr a new shell achrive?

that seems reasonable to me, although i suggest making noise on the 
mailing lists until someone actually commits them this time, or they're 
likely to suffer the same fate as mine did ;-)

-garrett
Comment 7 Martin Klaffenboeck 2002-09-30 19:51:09 UTC
Ok, here it is.  I try just to attach the files with evolution.  I'm not
as simmilar with the pr - if I can send attached files, but I'll try
that...

Martin
-- 
Martin Klaffenböck <martin.klaffenboeck@gmx.at>
Comment 8 Joe Marcus Clarke 2002-10-01 07:37:57 UTC
On 30 Sep 2002, Martin [ISO-8859-1] Klaffenb=F6ck wrote:

> Ok, here it is.  I try just to attach the files with evolution.  I'm not
> as simmilar with the pr - if I can send attached files, but I'll try
> that...

Please send the patches directly to me.  After the freeze, and when I
return tomorrow, I'll get working on a lot of GNOME 2 stuff.

Joe

>
> Martin
> --
> Martin Klaffenb=F6ck <martin.klaffenboeck@gmx.at>
>

PGP Key : http://www.marcuscom.com/pgp.asc
Comment 9 Joe Marcus Clarke freebsd_committer 2002-10-12 08:39:40 UTC
State Changed
From-To: open->closed

Committed.  Thanks to you and Martin for the work on this.